# Retrieving the list of generator presets

When using the API to update, delete, or assign generator presets to columns, you use the generator preset identifier.

To retrieve the list of generator presets and their current configuration, use:

[<mark style="background-color:blue;">GET</mark> api/Presets](https://app.tonic.ai/apidocs/index.html#/Presets/FetchPresets)

The response contains an array of preset objects.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/api-generator-presets/api-generator-presets-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
